### Method

# GLib Regex get_compile_flags

since: 2.26

#### Declaration [src]

    GRegexCompileFlags
    g_regex_get_compile_flags (
      const GRegex* regex
    )

#### Description [src]

Returns the compile options that `regex` was created with.

Depending on the version of PCRE that is used, this may or may not include flags set by option expressions such as `(?i)` found at the top-level within the compiled pattern.

Available since: 2.26

#### Return value

Type: `GRegexCompileFlags`

Flags from `GRegexCompileFlags`.